﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace mergeSample.Models {
    public class AttendeeModel {
        public int Index { get; set; }
        public int District { get; set; }
        public int UserID { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmployeeID { get; set; }
        public int WorkshopSectionID { get; set; }
        public int WorkshopSectionSessionID { get; set; }
        public decimal? AttendanceHours { get; set; }
        public string WorkLocation { get; set; }
        public string WorkLocationName { get; set; }
        public DateTime SessionDate { get; set; }
        public int RegistrationID { get; set; }
        public string CompensationTypeName { get; set; }

        public string ParticipantName {
            get {
                if (!string.IsNullOrEmpty(LastName) && !string.IsNullOrEmpty(FirstName)) {
                    return $"{LastName}, {FirstName}";
                }

                return string.Empty;
            }
        }
    }
}
